Subject: Re: [PATCH net-next 0/7] net: ipmr: more cleanups and mfc netlink support

From: Nikolay Aleksandrov <[email-masked]>
Date: Thu, 26 Nov 2015 17:48:47 +0100

On 11/26/2015 05:35 PM, Andrew Lunn wrote:
> On Thu, Nov 26, 2015 at 03:23:43PM +0100, Nikolay Aleksandrov wrote:
>> From: Nikolay Aleksandrov <[email-masked]>
>>
>> Hi,
>> This set continues with the minor cleanups in the first 6 patches and
>> patch 7 adds the first new feature - MFC manipulation via netlink.
> 
> Hi Nikolay
> 
> Great to see somebody working on multicast.
> 
> Do you have any plans to remove the 32 VIF limit?
> 
> I've run out if VIFs on a VPN server with lots of clients. I took the
> "quick fix" of recompiling the kernel and userspace with 256 VIFs. But
> it would be nice if you could define a netlink API which does not have
> this limit and modify the core code to be more dynamic.
> 
>      Andrew
> 

Hi Andrew,
I'm glad people are still using it. :-)  To answer your question - yes, I plan
to remove that limit, in fact I have a private version where it's done and this
API is the first step, you can see it uses the generic rtnh which supports
ifindex passing, so it'll be a matter of a few small changes to remove it.
The hardest part is keeping current user-space compatible with everything, but
I have the necessary workarounds for that. In the end it should be much more
usable and to some extent without mrtsock application running as well.

Thanks,
 Nik